%global sfincb %{_datadir}/shellfu/include-bash
%global sfmodn dist
%global shellfu_req shellfu >= 0.10.36, shellfu < 0.11

Name:       shellfu-bash-dist
Version:    0.2.5
Release:    1%{?dist}
Summary:    dist - Shellfu/Bash module to query distribution
URL:        https://gitlab.com/vornet/shellfu/shellfu-bash-dist
License:    LGPLv2
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: make

Requires: %shellfu_req
Requires: shellfu-bash
Requires: shellfu-sh-isa
Requires: shellfu-bash-pretty
Requires: shellfu-bash-sfpi
%description
Shellfu/Bash module to query distribution

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%files
%doc %{_docdir}/%{name}/README.md
%{sfincb}/%{sfmodn}.sh
%{sfincb}/_%{sfmodn}p_eor.sh
%{sfincb}/_%{sfmodn}p_esr.sh
%{sfincb}/_%{sfmodn}p_esrc.sh
%{sfincb}/_%{sfmodn}p_lsb.sh


%changelog

# specfile built with MKit 0.0.53
